Мета проблем с езика

User avatar
BattleGrounds
Гуру
Гуру
Posts: 2473
Joined: Wed Sep 19, 2007 5:30 pm
Answers: 37

Мета проблем с езика

Post by BattleGrounds » Sun Jun 22, 2008 4:02 pm

като пиша на бг и ми излизат яроглифи
http://77.77.149.61/100/ горе в ъгалчето а пък има мета ???

User avatar
svilkaa
Много Редовен
Много Редовен
Posts: 1601
Joined: Wed Mar 21, 2007 6:43 pm
Answers: 260
Location: Русе
Contact:

Post by svilkaa » Sun Jun 22, 2008 4:14 pm

<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">

User avatar
BattleGrounds
Гуру
Гуру
Posts: 2473
Joined: Wed Sep 19, 2007 5:30 pm
Answers: 37

Post by BattleGrounds » Sun Jun 22, 2008 4:20 pm

ето сложих го пак яроглифи

Dido_net
Много Редовен
Много Редовен
Posts: 1569
Joined: Sat Oct 01, 2005 12:43 pm
Answers: 16
Location: Хасково

Post by Dido_net » Sun Jun 22, 2008 4:23 pm

Някакъв хедър сменя кодировката.

User avatar
BattleGrounds
Гуру
Гуру
Posts: 2473
Joined: Wed Sep 19, 2007 5:30 pm
Answers: 37

Post by BattleGrounds » Sun Jun 22, 2008 4:39 pm

Code: Select all

<?php
require_once&#40;'include/header.inc.php'&#41;;
echo '

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
</head>
';

echo "адsadasdsасд";

?>
<br/><br/>
<center>
<br/><br/>
<form method="POST">
<table>
<tr><td>Name&#58; </td><td><input name="name"/></td></tr>
<tr><td>Password&#58; </td><td><input name="password" type="password"/></td></tr>
<tr><td colspan="2" align="center"><input type="submit"/></td></tr>
</table>
</form>
100% Firefox compatible &#40;other browsers have not been tested and it is almost sure that rpg-web won't work on them&#41;<br/>
Install Firefox is easy, fast and free.<br/>
<a href="http&#58;//www.mozilla.com/firefox"><img border="0" alt="Upgrade to Firefox!" title="Upgrade to Firefox!" src="http&#58;//sfx-images.mozilla.org/affiliates/Buttons/110x32/get.gif"/></a>
<br/><br/><small></small>
</center>
ето я страницата

Dido_net
Много Редовен
Много Редовен
Posts: 1569
Joined: Sat Oct 01, 2005 12:43 pm
Answers: 16
Location: Хасково

Post by Dido_net » Sun Jun 22, 2008 4:43 pm

тук какво има?

require_once('include/header.inc.php');

User avatar
BattleGrounds
Гуру
Гуру
Posts: 2473
Joined: Wed Sep 19, 2007 5:30 pm
Answers: 37

Post by BattleGrounds » Sun Jun 22, 2008 7:16 pm

Code: Select all

<?php
define&#40;'CURRENT_VERSION','0.0.4a'&#41;;

if&#40;!file_exists&#40;'include/configure.inc.php'&#41;&#41;
&#123;
	// Instalation is needed
	if&#40;!ereg&#40;'install\.php',$_SERVER&#91;'PHP_SELF'&#93;&#41;&#41;
	&#123;
		// We are already in installation
		header&#40;'Location&#58; install.php'&#41;;
		die&#40;&#41;;
	&#125;
&#125;
session_start&#40;&#41;;
require_once&#40;'configure.inc.php'&#41;;
require_once&#40;'Db.inc.php'&#41;;
require_once&#40;'Db_object.inc.php'&#41;;

$db = new Db&#40;&#41;;
$sql = "SELECT `value` FROM `configuration` WHERE `parameter`='VERSION'";
$version = $db->query_value&#40;$sql&#41;;

//die&#40;CURRENT_VERSION.'=='.$version&#41;;

if&#40;CURRENT_VERSION != $version&#41;
&#123;
	//Instalation is needed
	if&#40;!ereg&#40;'install\.php',$_SERVER&#91;'PHP_SELF'&#93;&#41;&#41;
	&#123;
		// We are already in installation
		header&#40;'Location&#58; install.php'&#41;;
		die&#40;&#41;;
	&#125;
&#125;
?>

User avatar
EmPowerYou
Турист
Турист
Posts: 478
Joined: Mon Oct 23, 2006 7:19 am
Answers: 13

Post by EmPowerYou » Sun Jun 22, 2008 7:16 pm

Не се научихте, че не се пише Яроглифи, а ЙЕроглифи! :x

User avatar
BattleGrounds
Гуру
Гуру
Posts: 2473
Joined: Wed Sep 19, 2007 5:30 pm
Answers: 37

Post by BattleGrounds » Sun Jun 22, 2008 7:33 pm

EmPowerYou wrote:Не се научихте, че не се пише Яроглифи, а ЙЕроглифи! :x

а ти научи ли се да не спамиш !??!?!?? :evil:

Dido_net
Много Редовен
Много Редовен
Posts: 1569
Joined: Sat Oct 01, 2005 12:43 pm
Answers: 16
Location: Хасково

Post by Dido_net » Sun Jun 22, 2008 7:38 pm

явно пхп-то ти има дефаулт кодировка която прилага.. нека някой по-компетентен да каже...

Post Reply